<?php

class UbrrOpencart
{
    public static function checkOrderStatus($opencart, $twpg_order_id)
    {
        $shopId = $opencart->config->get('ubrr_entry_merchant');
        $sert = $opencart->config->get('ubrr_sslkeypass');

        if (empty($shopId)) {
            echo 'Оплана не настроена. Обратитесь к администратору магазина';
            return false;
        }

        $result = self::getTWPGDataByOrderID($opencart->db, $twpg_order_id);

        if ($result === false) {
            echo 'Ошибка поиска заказа в БД.';
            return false;
        } else {
            $twpg_session_id = $result['SessionID'];
            $order_id = $result['shoporderid'];

            $bankHandler = new Ubrir(array(                                                                                                                 // для статуса
                'shopId' => $shopId,
                'sert' => $sert,

                'twpg_order_id' => $twpg_order_id,
                'twpg_session_id' => $twpg_session_id
            ));

            $checkResult = $bankHandler->check_status();
            if($checkResult == true){
                $opencart->load->model('checkout/order');
                $opencart->model_checkout_order->confirm($order_id, $opencart->config->get('ubrr_order_status_id'));

                //не использумая часть $update_status = 'UPDATE `checkout` SET `Status`="2" WHERE `Id`= "' . $shoporderid . '"';
                return $order_id;
            }
        }
    }

    public static function saveTWPGOrder($db, $responseOrder, $orderID)
    {
        $url = $responseOrder->URL[0];
        $twpg_order_id = $responseOrder->OrderID[0];
        $sessionid = $responseOrder->SessionID[0];
        $dbResult = $db->query("INSERT INTO `" . DB_PREFIX . "twpg_orders` (`shoporderid`, `OrderID`, `SessionID`) VALUES ('" . $orderID . "', '" . $twpg_order_id . "', '" . $sessionid . "') ON DUPLICATE KEY UPDATE `shoporderid`='" . $orderID . "', `OrderID`='" . $twpg_order_id . "', `SessionID`='" . $sessionid . "'");
        return $dbResult;
    }

    public static function getTWPGDataByOrderID($db, $TWPG_OrderID)
    {
        $sql_req = 'SELECT * FROM `' . DB_PREFIX . 'twpg_orders` WHERE `OrderID`=' . $TWPG_OrderID;
        $sql_response = $db->query($sql_req);
        if ($sql_response->num_rows >= 1) {
            $sql_response = $sql_response->row;
            $orderID = $sql_response['shoporderid'];
            $TWPG_OrderID = $sql_response['OrderID'];
            $sessionid = $sql_response['SessionID'];
            return array(
                'order_id' => $orderID,
                'twpg_order_id' => $TWPG_OrderID,
                'twpg_session_id' => $sessionid
            );
        }
        return false;
    }

    public static function getTwpgData($db, $shopOrderId)
    {
        $sql_req = 'SELECT * FROM `' . DB_PREFIX . 'twpg_orders` WHERE `shoporderid`=' . $shopOrderId;
        $sql_response = $db->query($sql_req);
        if ($sql_response->num_rows >= 1) {
            $sql_response = $sql_response->row;
            $orderid = $sql_response['OrderID'];
            $sessionid = $sql_response['SessionID'];
            return array(
                'twpg_order_id' => $orderid,
                'twpg_session_id' => $sessionid
            );
        }
        return false;
    }

}