<?php

namespace UBRIR;

class Helpers
{
    public static function DecodeStatus($status)
    {
        switch ($status) {
            case 'APPROVED':
                return 'Одобрен (оплата прошла успешно)';
                break;
            case 'CANCELED':
                return 'Отменен (клиент прервал выполнение операции)';
                break;
            case 'DECLINED':
                return 'Отказ в оплате';
                break;
            case 'REVERSED':
                return 'Реверсирован';
                break;
            case 'REFUNDED':
                return 'Осуществлен возврат товара';
                break;
            case 'PREAUTH-APPROVED':
                return 'Выполнена предавторизация';
                break;
            case 'EXPIRED':
                return 'Истек срок действия заказа';
                break;
            case 'ON-PAYMENT':
                return 'На оплате';
                break;
            default:
                return $status;
                break;
        }
    }

    public static function DecodeType($type)
    {
        switch ($type) {
            case 'Purchase':
                return 'Покупка';
                break;
            case 'Reverse':
                return 'Реверс оплаты';
                break;
            default:
                return $type;
                break;
        }
    }

    public static function DecodeOper($oper)
    {
        switch ($oper) {
            case 'CreateOrder':
                return 'Создание заказа на покупку';
                break;
            case 'GetOrderStatus':
                return 'Получение статуса заказа';
                break;
            case 'Purchase':
                return 'Покупка';
                break;
            case 'Reverse':
                return 'Реверс оплаты';
                break;
            case 'Reconcile':
                return 'Сверка итогов';
                break;
            case 'TransactionLog':
                return 'Журнал операций';
                break;
            case 'GetOrderInformation':
                return 'Получение информации о заказе';
                break;
            default:
                return $oper;
                break;
        }
    }

    const Currencies = Array(
        643 => 'RUB',
        810 => 'RUB',
        840 => 'USD'
    );

    public static function DecodeCurrency($currencyIntCode)
    {
        $currencies = self::Currencies;
        $currencyIntCode = intval($currencyIntCode);

        if ($currencyIntCode > 0) {
            if (isset($currencies[$currencyIntCode])) {
                return $currencies[$currencyIntCode];
            }
        }
        return 'unknown';
    }
}