<?php if (!empty($ajax_response)) {
    echo $ajax_response;

} else {
    ?>


    <?php echo $header; ?>
    <?php echo $column_left; ?>

    <div id="content">
        <div class="page-header">
            <div class="container-fluid">
                <div class="pull-right">
                    <button type="submit" form="form-pp-std-uk" data-toggle="tooltip" title="<?php echo $lang_save ?>"
                            class="btn btn-primary"><i class="fa fa-save"></i></button>
                    <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $lang_cancel ?>"
                       class="btn btn-default"><i
                                class="fa fa-reply"></i></a></div>
                <h1><?php echo $lang_heading_title; ?></h1>
                <ul class="breadcrumb">
                    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                    <?php } ?>
                </ul>
            </div>
        </div>

        <div class="container-fluid">
            <?php if (isset($error['error_warning'])) { ?>
                <div class="alert alert-danger"><i
                            class="fa fa-exclamation-circle"></i> <?php echo $error['error_warning']; ?>
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                </div>
            <?php } ?>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i></h3>
                </div>
                <div class="panel-body">
                    <form action="<?php echo $action ?>" method="post" enctype="multipart/form-data" id="form-pp-std-uk"
                          class="form-horizontal">
                        <ul class="nav nav-tabs">
                            <li class="active"><a href="#tab-general"
                                                  data-toggle="tab"><?php echo $lang_tab_general; ?></a>
                            </li>
                            <li><a href="#tab-status" data-toggle="tab"><?php echo $lang_tab_order_status; ?></a></li>
                            <li><a href="#tab-debug" data-toggle="tab"><?php echo $lang_tab_debug; ?></a></li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane active" id="tab-general">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-status"><?php echo $lang_status; ?></label>
                                    <div class="col-sm-10">
                                        <select name="ubrr_status" id="input-status" class="form-control">
                                            <option value="1"<?php ($ubrr_status) ? ' selected="selected"' : '' ?>><?php echo $lang_enabled; ?></option>
                                            <option value="0"<?php (!$ubrr_status) ? ' selected="selected"' : '' ?>><?php echo $lang_disabled; ?></option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group required">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_entry_merchant"><?php echo $lang_ubrr_entry_merchant; ?></label>
                                    <div class="col-sm-10">
                                        <input type="text" name="ubrr_entry_merchant" id="ubrr_entry_merchant"
                                               value="<?php echo $ubrr_entry_merchant; ?>"
                                               class="form-control"/>
                                        <?php if ($error_ubrr_entry_merchant) { ?>
                                            <div class="text-danger"><?php echo $error_ubrr_entry_merchant; ?></div>
                                        <?php } ?>
                                    </div>
                                </div>

                                <div class="form-group required">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_sslkeypass">Пароль к сертификату</label>
                                    <div class="col-sm-10">
                                        <input type="text" name="ubrr_sslkeypass" id="ubrr_some_cool_value"
                                               value="<?php echo $ubrr_sslkeypass; ?>"
                                               class="form-control"/>
                                    </div>
                                </div>


                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_entry_merchant"><?php echo $lang_ubrr_entry_merchant; ?></label>
                                    <div class="col-sm-10">

                                        <?php include_once 'ubrr_admin_twpg.tpl'; ?>

                                    </div>
                                </div>

                            </div>
                            <div class="tab-pane" id="tab-status">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-canceled-reversal-status"><?php echo $lang_entry_order_status; ?></label>
                                    <div class="col-sm-10">
                                        <select class="form-control" name="ubrr_order_status_id">
                                            <?php foreach ($order_statuses as $order_status) { ?>
                                                <?php if ($order_status['order_status_id'] == $ubrr_order_status_id) { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"
                                                            selected="selected"><?php echo $order_status['name']; ?></option>
                                                <?php } else { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                                <?php } ?>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane" id="tab-debug">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-canceled-reversal-status"><?php echo $lang_tab_debug; ?></label>
                                    <div class="col-sm-10">
                                        <div>
                                            <a href="<?php echo $action_clean_debug_log; ?>" data-toggle="tooltip"
                                               title="Очистить лог"
                                               class="btn btn-default"><i class="fa fa-times"></i></a>
                                        </div>
                                        <textarea cols="160" rows="40"><?php echo $debug_log ?></textarea>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php echo $footer; ?>
    <?
}
?>